import { FieldTypes } from "@/components/schema/fieldtypes";

export const TEMPLATE_TYPES: Record<string, TypeType> = {
  section: {
    name: {
      isConstant: false,
      limit: 1,
      minimum: 1,
      type: FieldTypes.text,
      value: "",
    },
    body: {
      isConstant: false,
      limit: 0,
      minimum: 1,
      type: FieldTypes["long text"],
      value: "",
    },
  },
  steps: {
    steps: {
      isConstant: false,
      limit: 0,
      minimum: 1,
      type: FieldTypes.type,
      value: "section",
    },
  },
  image: {
    name: {
      isConstant: false,
      limit: 1,
      minimum: 1,
      type: FieldTypes.text,
      value: "",
    },
    link: {
      isConstant: false,
      limit: 1,
      minimum: 1,
      type: FieldTypes.text,
      value: "",
    },
  },
  list: {
    items: {
      isConstant: false,
      limit: 0,
      minimum: 1,
      type: FieldTypes["long text"],
      value: "",
    },
  },
  table_column: {
    name: {
      isConstant: false,
      limit: 0,
      minimum: 1,
      type: FieldTypes.any,
      value: "",
    },
    value: {
      isConstant: false,
      limit: 0,
      minimum: 1,
      type: FieldTypes.any,
      value: "",
    },
  },
  table_row: {
    columns: {
      isConstant: false,
      limit: 0,
      minimum: 1,
      type: FieldTypes.type,
      value: "tableColumn",
    },
  },
  table: {
    rows: {
      isConstant: false,
      limit: 0,
      minimum: 1,
      type: FieldTypes.type,
      value: "tableRow",
    },
    header: {
      isConstant: false,
      limit: 1,
      minimum: 0,
      type: FieldTypes.type,
      value: "tableRow",
    },
  },
};
